PUT User/{userName}
Some tooltip text!
• 12 minutes to read
• 12 minutes to read
PUT /api/v1/User/{userName}
Save a user, with lookup based on the user name.
Online Restricted: ## The User agent is not available in Online by default. User management is not allowed for partner apps.
| Path Part | Type | Description |
|---|---|---|
| userName | string | User name of the user to get. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: user
User object to save.
| Property Name | Type | Description |
|---|---|---|
| AssociateId | Integer | Primary key |
| Name | String | Initials, UserId - also used as login name for on-site installations. Identifies user in archives. |
| Rank | Integer | Rank order |
| Tooltip | String | Tooltip or other description |
| LicenseOwners | Array | The restricted and unrestricted module licenses grouped by license owner. These module licenses are either assigned or unassigned to this user |
| Role | Role | Users role for role-based security. Determines permissions and access rights for the user. |
| UserGroup | UserGroup | The main user group that this user belongs to. |
| OtherGroups | Array | The other groups this user is a member of, apart from the main user group. |
| Person | Person | The person associated with this user. Detailed information about the user |
| Deleted | Boolean | If true, the user is retired and should have no rights, not appear in lists, etc. |
| Lastlogin | String | Last login date |
| Lastlogout | String | Last logout date |
| EjUserId | Integer | ID of the ej user record corresponding to this associate; 0 for associates that are not ej users |
| RequestSignature | String | ej users request signature |
| Type | String | User type: 1=InternalAssociate, 2=ResourceAssociate, 3=ExternalAssociate, 4=AnonymousAssociate, 5=SystemAssociate |
| IsPersonRetired | Boolean | True if the user is retired and should have no rights, not appear in lists, etc. |
| IsOnTravel | Boolean | True if the user is on travel. |
| Credentials | Array | List of credentials registered for this user. i.e. valid authentication methods. |
| UserName | String | User name, a.k.a. Login name. This might be an e-mail address. |
| TicketCategories | Array | Request Ticket Categories assigned to the user. |
| NickName | String | The unique nick name for this user. Used in Service as an alias, similar to Name/Initials. |
| WaitingForApproval | Boolean | The user is waiting for an administrator to approve/grant her/him access. |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.User.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.User.ExtraFields} and |
| PostSaveCommands | Array | Post custom commands the client should execute after save has completed. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: User
| Property Name | Type | Description |
|---|---|---|
| AssociateId | int32 | Primary key |
| Name | string | Initials, UserId - also used as login name for on-site installations. Identifies user in archives. |
| Rank | int32 | Rank order |
| Tooltip | string | Tooltip or other description |
| LicenseOwners | array | The restricted and unrestricted module licenses grouped by license owner. These module licenses are either assigned or unassigned to this user |
| Role | Role | Users role for role-based security. Determines permissions and access rights for the user. |
| UserGroup | UserGroup | The main user group that this user belongs to. Use MDO List name "usergroup" to get list items. |
| OtherGroups | array | The other groups this user is a member of, apart from the main user group. Use MDO List name "usergroup" to get list items. |
| Person | Person | The person associated with this user. Detailed information about the user Use MDO List name "person_new" to get list items. |
| Deleted | bool | If true, the user is retired and should have no rights, not appear in lists, etc. |
| Lastlogin | date-time | Last login date |
| Lastlogout | date-time | Last logout date |
| EjUserId | int32 | ID of the ej user record corresponding to this associate; 0 for associates that are not ej users |
| RequestSignature | string | ej users request signature |
| Type | string | User type: 1=InternalAssociate, 2=ResourceAssociate, 3=ExternalAssociate, 4=AnonymousAssociate, 5=SystemAssociate |
| IsPersonRetired | bool | True if the user is retired and should have no rights, not appear in lists, etc. |
| IsOnTravel | bool | True if the user is on travel. |
| Credentials | array | List of credentials registered for this user. i.e. valid authentication methods. |
| UserName | string | User name, a.k.a. Login name. This might be an e-mail address. |
| TicketCategories | array | Request Ticket Categories assigned to the user. Use MDO List name "ejCategory" to get list items. |
| NickName | string | The unique nick name for this user. Used in Service as an alias, similar to Name/Initials. |
| WaitingForApproval | bool | The user is waiting for an administrator to approve/grant her/him access. |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.User.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.User.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| PostSaveCommands | array | Post custom commands the client should execute after save has completed. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/User/{userName}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"AssociateId": 146,
"Name": "Schumm-Schmidt",
"Rank": 624,
"Tooltip": "libero",
"LicenseOwners": [
{
"Name": "Weimann, Kuhn and Hansen",
"Description": "Enterprise-wide 24 hour toolset",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
]
},
{
"Name": "Weimann, Kuhn and Hansen",
"Description": "Enterprise-wide 24 hour toolset",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
]
}
],
"Role": null,
"UserGroup": null,
"OtherGroups": [
{
"Value": "eum",
"Tooltip": "illo",
"Id": 194,
"Rank": 25,
"Deleted": false
},
{
"Value": "eum",
"Tooltip": "illo",
"Id": 194,
"Rank": 25,
"Deleted": false
}
],
"Person": null,
"Deleted": true,
"Lastlogin": "2002-07-07T14:34:02.89351+02:00",
"Lastlogout": "2009-03-11T14:34:02.89351+01:00",
"EjUserId": 704,
"RequestSignature": "et",
"Type": "AnonymousAssociate",
"IsPersonRetired": false,
"IsOnTravel": true,
"Credentials": [
{
"Type": null,
"Value": "voluptate",
"DisplayValue": "dolor"
},
{
"Type": null,
"Value": "voluptate",
"DisplayValue": "dolor"
}
],
"UserName": "Parisian Inc and Sons",
"TicketCategories": [
{
"Id": 720,
"Name": "Hilpert-Sporer",
"ToolTip": "Repellendus doloremque blanditiis corporis omnis dignissimos rerum.",
"Deleted": true,
"Rank": 690,
"Type": "quasi",
"ChildItems": [
{},
{}
],
"IconHint": "et",
"ColorBlock": 277,
"ExtraInfo": "aspernatur",
"StyleHint": "nobis",
"FullName": "Federico O'Reilly"
}
],
"NickName": "Frami Group",
"WaitingForApproval": false,
"ExtraFields": {
"ExtraFields1": "ut",
"ExtraFields2": "eos"
},
"CustomFields": {
"CustomFields1": "cupiditate",
"CustomFields2": "numquam"
},
"PostSaveCommands": [
{
"Name": "Harris-Champlin",
"DisplayName": "Wolf Inc and Sons",
"Description": "Vision-oriented upward-trending instruction set",
"ToolTip": "Iste velit cum aspernatur non mollitia nulla.",
"Actions": "Implicit",
"ActionData": "error"
},
{
"Name": "Harris-Champlin",
"DisplayName": "Wolf Inc and Sons",
"Description": "Vision-oriented upward-trending instruction set",
"ToolTip": "Iste velit cum aspernatur non mollitia nulla.",
"Actions": "Implicit",
"ActionData": "error"
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"AssociateId": 187,
"Name": "Bayer-Beer",
"Rank": 719,
"Tooltip": "fugiat",
"LicenseOwners": [
{
"Name": "Wunsch, Miller and Legros",
"Description": "Persistent 24/7 throughput",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 495
}
}
},
{
"Name": "Wunsch, Miller and Legros",
"Description": "Persistent 24/7 throughput",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 495
}
}
}
],
"Role": null,
"UserGroup": null,
"OtherGroups": [
{
"Value": "sint",
"Tooltip": "soluta",
"Id": 920,
"Rank": 620,
"Deleted": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 197
}
}
}
],
"Person": null,
"Deleted": true,
"Lastlogin": "2012-04-05T14:34:02.8974474+02:00",
"Lastlogout": "1998-07-28T14:34:02.8974474+02:00",
"EjUserId": 623,
"RequestSignature": "dolores",
"Type": "AnonymousAssociate",
"IsPersonRetired": true,
"IsOnTravel": true,
"Credentials": [
{
"Type": null,
"Value": "magni",
"DisplayValue": "tempora",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 335
}
}
},
{
"Type": null,
"Value": "magni",
"DisplayValue": "tempora",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 335
}
}
}
],
"UserName": "Mohr Group",
"TicketCategories": [
{
"Id": 700,
"Name": "Schumm-Wolff",
"ToolTip": "Eligendi blanditiis.",
"Deleted": false,
"Rank": 834,
"Type": "earum",
"ChildItems": [
{},
{}
],
"IconHint": "optio",
"ColorBlock": 437,
"ExtraInfo": "voluptates",
"StyleHint": "ut",
"FullName": "John Smith",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 540
}
}
}
],
"NickName": "Olson Inc and Sons",
"WaitingForApproval": true,
"ExtraFields": {
"ExtraFields1": "deserunt",
"ExtraFields2": "odio"
},
"CustomFields": {
"CustomFields1": "quia",
"CustomFields2": "reiciendis"
},
"PostSaveCommands": [
{
"Name": "Casper Group",
"DisplayName": "Terry-Marquardt",
"Description": "Fully-configurable intangible hub",
"ToolTip": "Nisi incidunt velit eos dolor.",
"Actions": "Implicit",
"ActionData": "et",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 759
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 713
}
}
}